Transform documents APIs
Authorization
Bearer {token}accessible from Authorization - Bearer token or systematically via Client credentials.The request headers should include a key for
Authorizationwith the valueBearer {token}.
Upload transform document file
POST /{tenant}/api/v4/transforms/{transform_folder}Add a new transform document to the specified folder based upon the transform filename. The document will be checked against the Validate transform endpoint. If the transform already exists, a new version of the transform will be added.
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
transform_folder *
Target folder name.
Request body
Content-Type: multipart/form-data
file
Transform document. The filename must end with _transform.json.
Sample request and response
Add transform with document content
Add a new transform to the specified folder with the transform name using the content transform document that is included in the request body. The document will be checked against the Validate transform endpoint. If the transform already exists a new version of the transform will be created.
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
transform_folder *
Target folder.
transform *
Target transform document name.
Request body
Content-Type: application/json
transform_content
The entire contents of the in a single string.
Ensure the content is properly escaped. Content within transform definitions such as input_body_transform or output_body_transform may need to be double escaped, e.g. " becoming \".
Sample request and response
Validate transform
This API performs the following validations:
The transform is valid JSON.
transform_typeis present and valid.Other checks are specific to the transform being used.
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
Request body
Content-Type: application/json
transform_content
in a single string.
Ensure the content is properly escaped. Content within transform definitions such as input_body_transform or output_body_transform may need to be double escaped, e.g. " becoming \".
Sample request and response
List transforms
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
folder *
Folder associated with the request.
Request body
Content-Type: application/json
page
Page number of the list to get.
pageSize
Number of records per page.
sort
String defining the sort order.
Example: -updated
search
Array of search filter objects. Search filter objects can include:
field Name of the field to filter.
value Value of the field to filter.
operator Applies to numeric properties.
Example 1: {"field": "name", "name": "myfoldername"}
Example 2: {"field": "isstarred", "isstarred": "true"}
Sample request and response
Get transform document
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
transform_folder *
Folder associated with the request.
transform *
Transform document associated with the request.
Sample request and response
Delete transform
Path parameters
tenant *
Tenant is part of your sign-in URL and also available in the User menu.
transform_folder *
Folder associated with the request.
transform *
Transform document associated with the request.
Sample request and response
Last updated
